<?php
/**
 * @file
 * archibald_content_view.tpl.php
 * Display detail page of a lom ressource
 *
 * - $lom: ArchibaldLom Object
 * - $lom_title: ArchibaldLom general.title as string
 * - $lom_description: ArchibaldLom general.description as string (uncutted)
 * - $preview_image_fid: ArchibaldLom technical.preview_image Image fid (file id)
 * - $lifecycle_contributors: An multi array like (array( array('role', 'firstname', 'lastname') ))
 * - $is_part: an array with the same values as above (without is_part and has_part array)
 * - $has_part: an array with the same values as above (without is_part and has_part array)
 *
 */
global $language;

print $preview_image_img;

print $company_logo;

if (function_exists('archibald_ratings_show')):
  print archibald_ratings_show($lom->lomId);
endif;

print check_plain($lom_description);

/**
  $return_vals = array();
  foreach ($lom->getGeneral()->getCoverage() as $langstring) {
  $return_vals[] = check_plain(ArchibaldLom::getLangstringText($langstring));
  }
  print implode(', ', $return_vals);
 */
print '<div class="clear"></div>';
?>
</div>
<!-- /wboxinfo -->

<div class="wbox archibald_view_info_blocks">

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_general" class="btndetails inactive remember_choice"><span><?php print archibald_get_field_label('general'); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_general">

      <table class="view_general">
        <?php if (count($contributors_grouped)) : ?>
          <?php foreach ($contributors_grouped as $role => $contributors) : ?>
          <tr>
            <td width="172"><?php print archibald_get_term_by_key($role, 'lc_cont_role'); ?></td>
            <td>
              <?php foreach ($contributors as $contributor_id => $array): ?>
                <div class="contributor contributor_<?php print $role; ?>" contributor_id="<?php print $contributor_id; ?>">
                <?php
                  $name = trim($array['vcard']->lastname . ', ' . $array['vcard']->firstname . '; ' . $array['vcard']->organization, ' ,;');
                  if (variable_get('archibald_solr_search_activ', 0) == 1 && module_exists('apachesolr')){
                    switch ($role){
                      default:
                        $query = trim($array['vcard']->lastname . ' ' . $array['vcard']->firstname . ' ' . $array['vcard']->organization);
                        break;
                      case 'author':
                        $query = trim($array['vcard']->firstname . ' ' . $array['vcard']->lastname . ' ' . $array['vcard']->organization);
                        break;
                    }
                  }
                  else {
                    $query = trim($array['vcard']->firstname . ' ' . $array['vcard']->lastname . ' ' . $array['vcard']->organization);
                  }
                  print l($name, 'archibald', array('query' => array('query' => $role . ':"' . $query . '"')));
                ?>
                </div>
              <?php endforeach; ?>
            </td>
          </tr>
          <?php endforeach; ?>
        <?php else: ?>
          <tr>
            <td width="172"><?php print t('Contributors'); ?></td>
            <td>-</td>
          </tr>        
        <?php endif; ?>
        <tr>
          <td width="172"><?php print archibald_get_field_label('lifecycle.version'); ?></td>
          <td>
            <?php print (empty($version)) ?  '-' : $version; ?>
          </td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('general.language'); ?></td>
          <td>
            <?php
              $return_vals = array();
              foreach ($lom->getGeneral()->getLanguage() as $langstring) {
                $return_vals[] = archibald_get_language_by_code($langstring);
              }
              print implode(', ', $return_vals);
            ?>
          </td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('general.keyword'); ?></td>
          <td>
            <?php
              $return_vals = array();
              foreach ($lom->getGeneral()->getKeyword() as $langstring) {
                $val = ArchibaldLom::getLangstringText($langstring, '', TRUE);
                if (!empty($val)) {
                  $val = l($val, 'archibald', array('query' => array('query' => 'keywords:"' . $val . '"')));
                  $return_vals[] = $val;
                };
              };

              if (empty($return_vals)) {
                print '-';
              }
              else {
                print implode('<br />', $return_vals);
              }
            ?>
          </td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('general.coverage'); ?></td>
          <td>
            <?php
              $return_vals = array();

              foreach ($lom->getGeneral()->getCoverage() as $langstring) {
                $val = ArchibaldLom::getLangstringText($langstring, '', TRUE);
                if (!empty($val)) {
                  $val = l($val, 'archibald', array('query' => array('query' => 'coverage:"' . $val . '"')));
                  $return_vals[] = $val;
                };
              };

              if (empty($return_vals)) {
                print '-';
              }
              else {
                print implode('<br />', $return_vals);
              }
            ?>
          </td>
        </tr>
      </table>



    </div>
  </div>

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_education" class="btndetails inactive remember_choice"><span><?php print archibald_get_field_label('education'); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_education">
      <table class="view_education">
        <tr>
          <td width="172"><?php print archibald_get_field_label('education.description'); ?></td><td><?php
          $educational_description = check_plain(ArchibaldLom::getLangstringText($lom->getEducation()->getDescription(), '', TRUE));
          if (empty($educational_description)):
            print '-';
          else:
            print $educational_description;
          endif;
          ?></td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('education.learningResourceType'); ?></td><td>
<?php
foreach ($lom->getEducation()->getLearningResourceType() as $voc):
  $value = $voc->getValue();
  $value_human = $value;
  switch ($voc->getSource()):
    case 'LOMv1.0':
    case 'LOM-CHv1.0':
    case 'LREv3.0':
      $value_human = archibald_get_term_by_key($value, 'learning_resourcetype');
      break;
  endswitch;
  print l($value_human, 'archibald', array('query' => array('query' => 'learning_resourcetype:"' . $value . '"'))) . '<br />';
endforeach;
?>
          </td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('education.intendedEndUserRole'); ?></td><td >
<?php
$enduser_roles = $lom->getEducation()->getIntendedEndUserRole();
if (empty($enduser_roles)):
  print '-';
else:
  foreach ($enduser_roles as $voc):
    $value = $voc->getValue();
    $value_human = $value;
    switch ($voc->getSource()):
      case 'LOMv1.0':
      case 'LOM-CHv1.0':
      case 'LREv3.0':
        $value_human = archibald_get_term_by_key($value, 'intended_enduserrole');
        break;
    endswitch;
    print l($value_human, 'archibald', array('query' => array('query' => 'intendet_enduserrole:"' . $value . '"'))) . '<br />';
  endforeach;
endif;
?>
          </td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('education.typicalAgeRange'); ?></td><td><?php print $typical_age_range;?></td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('education.difficulty'); ?></td><td><?php
$value = $lom->getEducation()->getDifficult()->getValue();
if (empty($value)):
  print '-';
else:
  $value_human = $value;
  switch ($lom->getEducation()->getDifficult()->getSource()):
    case 'LOMv1.0':
    case 'LOM-CHv1.0':
    case 'LREv3.0':
      $value_human = archibald_get_term_by_key($value, 'difficulty');
      break;
  endswitch;
  print l($value_human, 'archibald', array('query' => array('query' => 'difficulty:"' . $value . '"')));
endif;
?></td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('education.typicalLearningTime'); ?></td><td><?php print archibald_get_education_typical_lerning_time($lom->getEducation()->getTypicalLearningTime()->getDurationIn('minutes')); ?></td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('education.aggregationLevel'); ?></td><td><?php
  switch($lom->getGeneral()->getAggregationLevel()->getValue()) {
    case '': print '-'; break;
    case  1: print t('1: Raw media data or fragments'); break;
    case  2: print t('2: A lesson'); break;
    case  3: print t('3: A course'); break;
    case  4: print t('4: A collection of courses'); break;
    default: print '-'; break;
  }
?></td>
        </tr>

      </table>



    </div>
  </div>

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_curriculum" class="btndetails inactive remember_choice"><span><?php print archibald_get_field_label('classification'); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_curriculum">

      <table class="view_curriculum">
        <tr>
          <td width="172"><?php print archibald_get_field_label('classification.context'); ?></td><td>
<?php
foreach ($lom->getEducation()->getContext() as $voc):
  $value = $voc->getValue();
  $value_human = $value;
  switch ($voc->getSource()):
    case 'LOMv1.0':
    case 'LOM-CHv1.0':
    case 'LREv3.0':
      $value_human = archibald_get_term_by_key($value, 'education_context');
      break;
  endswitch;
  print l($value_human, 'archibald', array('query' => array('query' => 'education_context:"' . $value . '"'))) . '<br />';
endforeach;
?>
          </td>
        </tr>
      </table>

<?php

function archibald_check_if_curriculum_is_empty($tmp) {


  if (empty($tmp)) {
    return true;
  }

  if (is_object($tmp)) {
    $tmp = (array)$tmp;
  }

  foreach ($tmp AS $val) {
    if (is_object($val)) {
      $val = (array)$val;
    }
    if (!empty($val) && !is_array($val)) {
      return false;
    }

    if (is_array($val)) {
      if (!archibald_check_if_curriculum_is_empty($val)) {
        return false;
      }
    }
  }

  return true;

}

foreach ($curriculums as $cur_name => $curriculum):
  $tmp = (array) $curriculum['entrys'];
  if (!archibald_check_if_curriculum_is_empty($tmp)):
    drupal_add_css(drupal_get_path('module', 'archibald') . '/css/curriculum_' . $cur_name . '.css');
    ?>
          <strong><?php print $curriculum['name']; ?></strong>
          <hr />
    <?PHP
    print theme('archibald_content_view_curriculum_' . $cur_name, array('entrys' => $curriculum['entrys']));
  endif;
endforeach;
?>


    </div>
  </div>

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_access" class="btndetails inactive remember_choice"><span><?php print t('Access to resource'); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_access">

      <strong><?php print archibald_get_field_label('right'); ?></strong>
      <hr />
      <table class="view_access">
        <tr>
          <td width="172"><?php print archibald_get_field_label('right.cost'); ?></td><td><?php print t(ucfirst($lom->getRights()->getCost()->getValue())); ?></td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('right.copyright'); ?></td><td><?php print t(ucfirst($lom->getRights()->getCopyrightAndOtherRestrictions()->getValue())); ?></td>
        </tr>
        <tr>
          <td><?php print archibald_get_field_label('right.description'); ?></td>
          <td>
<?php print $lizenz; ?>
          </td>
        </tr>
      </table>

      <strong><?php print archibald_get_field_label('technical'); ?></strong>
      <hr />
      <table class="view_access">
        <!--
        <tr>
            <td width="172"><?php print t('Format'); ?></td><td>
<?php
$formats = $lom->getTechnical()->getFormat();
if (empty($formats)):
  print '-';
else:
  foreach ($formats as $format):
    print $format . '<br />';
  endforeach;
endif;
?>
            </td>
        </tr>
        <tr>
            <td><?php print t('Size'); ?></td><td><?php print $lom->getTechnical()->getSizeFormated(); ?></td>
        </tr>
        -->
        <tr>
          <td width="172"><?php print archibald_get_field_label('technical.otherPlattformRequirements'); ?></td><td><?php
        $other_plattform_requirements = ArchibaldLom::getLangstringText($lom->getTechnical()->getOtherPlattformRequirements(), '', TRUE);
        if (empty($other_plattform_requirements)):
          print '-';
        else:
          print $other_plattform_requirements;
        endif;
?></td>
        </tr>
        <tr>
          <td width="172"><?php print archibald_get_field_label('technical.location'); ?></td><td><?php
            $location = $lom->getTechnical()->getLocation(0);
            if (empty($location)):
              print '-';
            else:
              print nl2br(check_plain($location));
            endif;
?></td>
        </tr>
      </table>
      <strong><?php print t('Reference to resources'); ?></strong>
      <hr />
<?php
$identifiers = $lom->getGeneral()->getIdentifier();
if (count($identifiers) > 0):
  print "<table>";

  foreach ($identifiers as $id => $identifier):
    print theme('archibald_lom_identifier', array('identifier' => $identifier));
  endforeach;
  print "</table>";
endif;
?>
    </div>
  </div>

<?php if (count($is_part) > 0 || count($has_part) > 0) { ?>
    <div class="details">
      <p><a href="JavaScript:void(0);" id="archibald_view_related" class="btndetails inactive remember_choice"><span><?php print t('Relations'); ?></span></a></p>
      <div style="display: block;" class="detailscontainer archibald_view_related">

  <?php if (count($is_part) > 0): ?>
          <strong><?php print t("Is part of:"); ?></strong>
          <?php
          foreach ($is_part as $lom_content):
            print "<div class='archibald_content_overview_row'>\n";
            $class = 'archibald_content_overview_row_content';
            if (!empty($lom_content['preview_image_fid'])):
              $file = file_load((INT) $lom_content['preview_image_fid']);
              print theme('image_style', array('style_name' => 'archibald_preview', 'path' => $file->uri, 'getsize' => FALSE, 'attributes' => array('fid' => $file->fid, 'class' => 'left_image')));
              $class .= ' archibald_corc_has_img';

              if (drupal_strlen($lom_content['lom_title']) > 49):
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 45) . ' ...';
              endif;
            else:
              if (drupal_strlen($lom_content['lom_title']) > 59):
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 55) . ' ...';
              endif;
            endif;
            print "  <div class='$class'>\n";
            print "      <h3>" . l($lom_content['lom_title'], 'archibald/' . $lom_content['lom']->lom_id) . "</h3>\n";
            print "      <div class=\"description\">" . truncate_utf8($lom_content['lom_description'], 360, TRUE, TRUE) . "</div>\n";
            print "  </div\n>";
            print "</div>\n";
            print "<div class='clear'></div>\n";
          endforeach;
          ?>
          <br />
        <?php endif; ?>
        <?php if (count($has_part) > 0) { ?>
          <strong><?php print t("Has part of:"); ?></strong>
          <?php
          foreach ($has_part as $lom_content):
            print "<div class='archibald_content_overview_row'>\n";
            $class = 'archibald_content_overview_row_content';
            if (!empty($lom_content['preview_image_fid'])):
              $file = file_load((INT) $lom_content['preview_image_fid']);
              print theme('image_style', array('style_name' => 'archibald_preview', 'path' => $file->uri, 'getsize' => FALSE, 'attributes' => array('fid' => $file->fid, 'class' => 'left_image')));
              $class .= ' archibald_corc_has_img';

              if (drupal_strlen($lom_content['lom_title']) > 49):
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 45) . ' ...';
              endif;
            else:
              if (drupal_strlen($lom_content['lom_title']) > 59):
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 55) . ' ...';
              endif;
            endif;
            print "  <div class='$class'>\n";
            print "      <h3>" . l($lom_content['lom_title'], 'archibald/' . $lom_content['lom']->lom_id) . "</h3>\n";
            print "      <div class=\"description\">" . truncate_utf8($lom_content['lom_description'], 360, TRUE, TRUE) . "</div>\n";
            print "  </div\n>";
            print "</div>\n";
            print "<div class='clear'></div>\n";
          endforeach;
          ?>

        <?php } ?>
      </div>
    </div>
<?php } ?>

  <?PHP
// comments module is enabled
  if (function_exists('archibald_comments_paged_list')):
    ?>
    <div class="details">
      <p><a href="JavaScript:void(0);" name="comment-show" id="archibald_view_comments" class="btndetails inactive remember_choice"><span><?php print t('Comments'); ?></span></a></p>
      <div style="display: block;" class="detailscontainer archibald_view_comments commentbox commentContainer">

  <?php
  print archibald_comments_paged_list($lom->lom_id);
  if (user_access('create archibald comments')):
    print archibald_comments_form();
  endif;
  ?>

      </div>
    </div>
<?php endif; ?>

  <small><?php
    print t('This description was recorded by @first_editor at @first_date, last updated at @last_date', array(
      '@first_editor' => $additional['first']['username'],
      '@first_date' => $additional['first']['save_time'],
      '@last_date' => $additional['last']['save_time'],
    ));
?></small>

</div>

<?php
$identifiers = $lom->getGeneral()->getIdentifier();
if (count($identifiers) > 1 || count($usefull_ressource_links) != count($identifiers)) {
  print '<div class="ressource_dialog">';
  print '  <div class="title">' . t('Resource') . ' <span id="close_dialog"><img border="0" src="' . base_path() . drupal_get_path('module', 'archibald') . '/images/close.png" align="absmiddle" /></span></div>';
  print '    <div class="content">';
  foreach ($identifiers as $id => $identifier):
    print ' - ';
    if ($identifier->catalog != 'URL'):
      print t($identifier->catalog) . ': ';
    endif;
    print theme('archibald_lom_identifier', array('identifier' => $identifier, 'just_link' => TRUE)) . '<br />';
  endforeach;
  print '  </div></div>';
}
?>


<script type="text/javascript">
  (function ($) {
    $(function() {
      var ressources = $(".ressource_link > a");
      if (ressources.length > 1) {
        $(".preview_image_img").click(function() {
          if ($(".ressource_dialog").css("display") == "block") {
            $(".ressource_dialog").hide();
          }
          else {
            $(".ressource_dialog").show();
          }
        });
      }

      $("#close_dialog").click(function() {
        $(".ressource_dialog").hide();
      });
    });
  })(jQuery);
</script>

